module Uricp::Strategy
  class Sweeper
    include Uricp::Strategy::Common

    def appropriate?
      return proposal if options['sweep'] && sequence_complete?

      debug "#{self.class.name}: not appropriate"
      false
    end

    def command
      "mv #{options['sweep'].first} #{options['sweep'].last};"
    end

    def proposal
      @proposed_options = options.dup
      @proposed_options.delete('sweep')
      self
    end
  end
end
