require 'uricp/version'
require 'uricp/curl_primitives'
require 'uricp/strategy/common'
require 'uricp/strategy/cache_common'
require 'uricp/strategy/local_convert'
require 'uricp/strategy/local_link'
require 'uricp/strategy/piped_cache'
require 'uricp/strategy/piped_cache_convert'
require 'uricp/strategy/piped_local_get'
require 'uricp/strategy/piped_rbd_get'
require 'uricp/strategy/piped_local_put'
require 'uricp/strategy/piped_remote_get'
require 'uricp/strategy/piped_compress'
require 'uricp/strategy/piped_decompress'
require 'uricp/strategy/piped_local_decompress'
require 'uricp/strategy/piped_local_compress'
require 'uricp/strategy/rbd_remote_put'
require 'uricp/strategy/segmented_remote_put'
require 'uricp/strategy/remote_put'
require 'uricp/strategy/cached_get'
require 'uricp/strategy/rbd_sweeper'
require 'uricp/strategy/sweeper'
require 'uricp/strategy/cleaner'
require 'uricp/uri_strategy'
require 'uricp/orbit_auth'

module Uricp
  UnsupportedURLtype = Class.new(ArgumentError)
  MissingCache = Class.new(ArgumentError)
  UnsupportedConversion = Class.new(ArgumentError)
  ConversionRequired = Class.new(ArgumentError)
end
